Package com.independentsoft.office.odf.fields

# Enum Class PlaceholderType

java.lang.Object
java.lang.Enum<PlaceholderType>
com.independentsoft.office.odf.fields.PlaceholderType

All Implemented Interfaces:
  `Serializable`, `Comparable<PlaceholderType>`, `Constable`

public enum PlaceholderType extends Enum<PlaceholderType>
Represents the content type of a placeholder.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IMAGE`
  Placeholder can be replaced by an image.
  `NONE`
  None.
  `OBJECT`
  Placeholder can be replaced by an object.
  `TABLE`
  Placeholder can be replaced by a table.
  `TEXT`
  Placeholder can be replaced by text.
  `TEXT_BOX`
  Placeholder can be replaced by a text-box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlaceholderType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PlaceholderType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final PlaceholderType TEXT
    Placeholder can be replaced by text.

  - ### TABLE

    public static final PlaceholderType TABLE
    Placeholder can be replaced by a table.

  - ### TEXT_BOX

    public static final PlaceholderType TEXT_BOX
    Placeholder can be replaced by a text-box.

  - ### IMAGE

    public static final PlaceholderType IMAGE
    Placeholder can be replaced by an image.

  - ### OBJECT

    public static final PlaceholderType OBJECT
    Placeholder can be replaced by an object.

  - ### NONE

    public static final PlaceholderType NONE
    None.

- ## Method Details

  - ### values

    public static PlaceholderType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PlaceholderType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null